# NAME

Trf_CheckOptions - Interface to procedures to check an option container.

# SYNOPSIS

    #include <transform.h>

    int Trf_CheckOptions
    (
    	Trf_Options options,
    	Tcl_Interp *interp,
    	const Trf_BaseOptions *baseOptions,
    	ClientData clientData
    );

# PARAMETERS

Trf_Options options
  Container with options to check.
Tcl_Interp *interp
  Interpreter to write error messages to (NULL possible!).
const Trf_BaseOptions *baseOptions
  Info about common options.
ClientData clientData
  Arbitrary information, as defined in Trf_TypeDefinition.clientData.

# DESCRIPTION

The procedure has to check the contents of the specified container for errors, consistency, etc. It is allowed to set default values into unspecified slots. Return value is a standard tcl error code. In case of failure and interp not NULL an error message should be left in the result area of the specified interpreter.

# SEE ALSO

Trf_Init , Trf_SafeInit , Trf_IsInitialized , Trf_CreateOptions , Trf_DeleteOptions , Trf_SetOption , Trf_SetObjOption , Trf_QueryOptions , Trf_SeekQueryOptions , Trf_WriteProc , Trf_CreateCtrlBlock , Trf_DeleteCtrlBlock , Trf_TransformCharacter , Trf_TransformBuffer , Trf_FlushTransformation , Trf_ClearCtrlBlock , Trf_QueryMaxRead , Trf_Register , Trf_ConverterOptions , Trf_MDStart , Trf_MDUpdate , Trf_MDUpdateBuf , Trf_MDFinal , Trf_MDCheck , Trf_RegisterMessageDigest , Trf_LoadLibrary , Trf_XorBuffer , Trf_ShiftRegister , Trf_FlipRegisterShort , Trf_FlipRegisterLong , Trf_InitStubs